deprecation-warning- все статьи тега


Является ли" shouldOverrideUrlLoading " действительно устаревшим? Что я могу использовать вместо этого?

у меня есть вопрос/проблема, действительно ли "shouldOverrideUrlLoading" устарел? Если да, то что я могу использовать вместо этого? кажется shouldOverrideUrlLoading осуждается таргетинг на Android N и мне нужно, чтобы приложение работало с API 19 до последнего прямо сейчас, который является Android N (бета), я использую некоторые функции, которые являются новыми В Android N (например, Data Saver), поэтому таргетинг Marshmallow не поможет с этой проблемой, так как мне нужно использовать эти новы ...

Django 1.9 предупреждения об устаревании ярлык приложения

Я только что обновился до Django v1.8 и тестировал свою локальную настройку перед обновлением своего проекта, и у меня было предупреждение об устаревании, которое я никогда не видел раньше, и это не имеет для меня никакого смысла. Возможно, я просто что-то упускаю из виду или неправильно понимаю документацию. /Users/neilhickman/Sites/guild/ankylosguild/apps/raiding/models.py:6: RemovedInDjango19Warning: Model class ankylosguild.apps.raiding.models.Difficulty doesn't declare an explicit app_lab ...

setBackgroundDrawable() устарел

Так что мой sdk идет от 15 до 21 и когда я звоню setBackgroundDrawable(), Android Studio говорит мне, что он устарел. Я думал обойти его с помощью: int sdk = android.os.Build.VERSION.SDK_INT; if(sdk < android.os.Build.VERSION_CODES.JELLY_BEAN) { layout.setBackgroundDrawable(getResources().getDrawable(R.drawable.img_wstat_tstorm)); } else { layout.setBackground(getResources().getDrawable(R.drawable.img_wstat_tstorm)); } но тогда, я получаю ошибку в " setBackground ()". Итак, как ...